aboutsummaryrefslogtreecommitdiffstats
path: root/recipes/appweb
diff options
context:
space:
mode:
Diffstat (limited to 'recipes/appweb')
-rw-r--r--recipes/appweb/appweb-1.2.0/makerules.patch34
-rw-r--r--recipes/appweb/appweb-1.2.0/nonrootinstall.patch57
-rw-r--r--recipes/appweb/appweb-2.0.4/init.d.patch14
-rw-r--r--recipes/appweb/appweb-2.0.4/libdb.patch10
-rw-r--r--recipes/appweb/appweb-2.0.4/makerules.patch30
-rw-r--r--recipes/appweb/appweb.inc4
-rw-r--r--recipes/appweb/appweb_1.2.0.bb113
-rw-r--r--recipes/appweb/appweb_2.0.4.bb123
8 files changed, 385 insertions, 0 deletions
diff --git a/recipes/appweb/appweb-1.2.0/makerules.patch b/recipes/appweb/appweb-1.2.0/makerules.patch
new file mode 100644
index 0000000000..55d3dd22d9
--- /dev/null
+++ b/recipes/appweb/appweb-1.2.0/makerules.patch
@@ -0,0 +1,34 @@
+
+#
+# Patch managed by http://www.mn-logistik.de/unsupported/pxa250/patcher
+#
+
+--- appWeb-1.2.0/make.rules~makerules 2004-06-28 14:50:23.000000000 -0500
++++ appWeb-1.2.0/make.rules 2004-07-15 13:27:35.000000000 -0500
+@@ -61,24 +61,19 @@
+ for i in $$D "" ; \
+ do [ -z "$$i" ] && continue ;\
+ [ -d "$$i" ] || continue ;\
+- home=`pwd` ; \
+- cd "$$i" >/dev/null ; \
+- if [ -f Makefile ] ; then \
++ if [ -f $$i/Makefile ] ; then \
+ echo ; \
+- echo " cd $$i" ; \
+ set +e ; \
+ unset COMPILE_SHARED EXPORT_OBJECTS _LDPATH ; \
+ set -e ; \
+ echo " \# $(MAKE) $$T" ; \
+- $(MAKE) --no-print-directory -S $$T ; \
++ $(MAKE) -C $$i --no-print-directory -S $$T ; \
+ code=$$? ; \
+ if [ $$code != 0 ] ; then \
+ echo "\#WARNING: Makefile error in `pwd`" ; \
+ exit 255 ; \
+ fi ; \
+- echo " cd $$home" ; \
+ fi ; \
+- cd $$home >/dev/null ;\
+ done
+
+ DO_RECURSE=[ -z "$$D" ] || $(RECURSE)
diff --git a/recipes/appweb/appweb-1.2.0/nonrootinstall.patch b/recipes/appweb/appweb-1.2.0/nonrootinstall.patch
new file mode 100644
index 0000000000..4227b76591
--- /dev/null
+++ b/recipes/appweb/appweb-1.2.0/nonrootinstall.patch
@@ -0,0 +1,57 @@
+
+#
+# Patch managed by http://www.mn-logistik.de/unsupported/pxa250/patcher
+#
+
+--- appWeb-1.2.0/Makefile~nonrootinstall 2004-07-06 15:09:21.000000000 -0500
++++ appWeb-1.2.0/Makefile 2004-07-15 13:45:32.000000000 -0500
+@@ -127,40 +127,33 @@
+ #
+ # Installation targets
+ #
+-install: install-rootCheck install-binary
+-
+-install-rootCheck:
+- @if [ $(BLD_OS) != WIN -a `id -u` -ne 0 ] ; \
+- then \
+- echo "Must be root to install" ; \
+- exit 255 ; \
+- fi
++install: install-binary
+
+-install-release: install-rootCheck
++install-release:
+ @$(BLD_PRODUCT)/package/$(BLD_OS)/makeInstall release
+
+-install-binary: install-rootCheck
++install-binary:
+ @$(BLD_PRODUCT)/package/$(BLD_OS)/makeInstall binary
+ @echo -e " #\n # To start ${BLD_NAME}, run as root:\n #"
+ @echo -e " service ${BLD_PRODUCT} start\n"
+
+-install-dev: install-rootCheck
++install-dev:
+ @$(BLD_PRODUCT)/package/$(BLD_OS)/makeInstall dev
+
+-install-doc: install-rootCheck
++install-doc:
+ @$(BLD_PRODUCT)/package/$(BLD_OS)/makeInstall doc
+
+-install-samples: install-rootCheck
++install-samples:
+ @$(BLD_PRODUCT)/package/$(BLD_OS)/makeInstall samples
+
+-install-source: install-rootCheck
++install-source:
+ @$(BLD_PRODUCT)/package/$(BLD_OS)/makeInstall source
+
+-install-all: install-rootCheck
++install-all:
+ @$(BLD_PRODUCT)/package/$(BLD_OS)/makeInstall \
+ "release binary dev doc samples source"
+
+-uninstall: install-rootCheck
++uninstall:
+ @$(BLD_PRODUCT)/package/$(BLD_OS)/makeUninstall
+
+ #
diff --git a/recipes/appweb/appweb-2.0.4/init.d.patch b/recipes/appweb/appweb-2.0.4/init.d.patch
new file mode 100644
index 0000000000..d646b1f434
--- /dev/null
+++ b/recipes/appweb/appweb-2.0.4/init.d.patch
@@ -0,0 +1,14 @@
+--- appWeb-2.0.4/appWeb/package/files/LINUX/appWeb.files~ 2005-10-10 22:16:58.000000000 -0700
++++ appWeb-2.0.4/appWeb/package/files/LINUX/appWeb.files 2005-10-10 22:16:43.000000000 -0700
+@@ -23,9 +23,9 @@
+ SrcD=${BLD_TOP}/${BLD_PRODUCT}/package/LINUX
+ if [ "${BLD_ROOT_PREFIX}" = "/" ]
+ then
+- DestD=/etc/rc.d
++ DestD=/etc
+ else
+- DestD=${BLD_ROOT_PREFIX}/etc/rc.d
++ DestD=${BLD_ROOT_PREFIX}/etc
+ fi
+
+ makeDir "${DestD}"
diff --git a/recipes/appweb/appweb-2.0.4/libdb.patch b/recipes/appweb/appweb-2.0.4/libdb.patch
new file mode 100644
index 0000000000..73d6361dfc
--- /dev/null
+++ b/recipes/appweb/appweb-2.0.4/libdb.patch
@@ -0,0 +1,10 @@
+--- appWeb-2.0.4/http/package/LINUX/http.files~ 2005-09-09 14:19:18.000000000 -0700
++++ appWeb-2.0.4/http/package/LINUX/http.files 2005-10-14 15:48:10.000000000 -0700
+@@ -152,7 +152,4 @@
+ then
+ cpmod ${BLD_TOP}/${BLD_PHP5_DIR}/libphp5.so "${DestD}" 755
+ stripFile "${DestD}/libphp5.so"
+- name=`ls -l /usr/lib/libdb.so | awk '{ print $11 }'`
+- name=${name:-/usr/lib/libdb.so}
+- cpmod /usr/lib/$name "${DestD}" 755
+ fi
diff --git a/recipes/appweb/appweb-2.0.4/makerules.patch b/recipes/appweb/appweb-2.0.4/makerules.patch
new file mode 100644
index 0000000000..422154da17
--- /dev/null
+++ b/recipes/appweb/appweb-2.0.4/makerules.patch
@@ -0,0 +1,30 @@
+--- appWeb-2.0.4/make.rules~ 2005-07-05 09:09:38.000000000 -0700
++++ appWeb-2.0.4/make.rules 2005-10-10 21:55:10.000000000 -0700
+@@ -61,25 +61,20 @@
+ for i in $$D "" ; \
+ do [ -z "$$i" ] && continue ;\
+ [ -d "$$i" ] || continue ;\
+- home=`pwd` ; \
+- cd "$$i" >/dev/null ; \
+- if [ -f Makefile ] ; then \
++ if [ -f $$i/Makefile ] ; then \
+ echo ; \
+- echo " cd $$i" ; \
+ set +e ; \
+ unset COMPILE_SHARED EXPORT_OBJECTS _LDPATH ; \
+ set -e ; \
+ echo -e "\n \# $(MAKE) $$T" ; \
+- $(MAKE) --no-print-directory -S $$T ; \
++ $(MAKE) -C $$i --no-print-directory -S $$T ; \
+ code=$$? ; \
+ if [ $$code != 0 ] ; then \
+ echo "\#WARNING: Makefile error in `pwd`" ; \
+ exit 255 ; \
+ fi ; \
+ echo ; \
+- echo " cd $$home" ; \
+ fi ; \
+- cd "$$home" >/dev/null ;\
+ done
+
+ DO_RECURSE=[ -z "$$D" ] || $(RECURSE)
diff --git a/recipes/appweb/appweb.inc b/recipes/appweb/appweb.inc
new file mode 100644
index 0000000000..0f602f70d3
--- /dev/null
+++ b/recipes/appweb/appweb.inc
@@ -0,0 +1,4 @@
+def get_appweb_host(d, bb):
+ host = bb.data.getVar('HOST_SYS', d, 1)
+ return host.replace('-linux-uclibc', '-linux')
+
diff --git a/recipes/appweb/appweb_1.2.0.bb b/recipes/appweb/appweb_1.2.0.bb
new file mode 100644
index 0000000000..9c1b9d94f0
--- /dev/null
+++ b/recipes/appweb/appweb_1.2.0.bb
@@ -0,0 +1,113 @@
+DESCRIPTION = "AppWeb is an embedded HTTP Web server that has been designed with security in mind."
+SECTION = "console/network"
+LICENSE = "GPL"
+SRC_URI = "http://www.mbedthis.com/software/appWeb-src-1.2.0-1.tar.gz \
+ file://makerules.patch;patch=1 \
+ file://nonrootinstall.patch;patch=1"
+S = "${WORKDIR}/appWeb-1.2.0"
+
+APPWEB_HOST = "${@get_appweb_host(d, bb)}"
+APPWEB_BUILD = "${BUILD_SYS}"
+
+require appweb.inc
+
+# --buildNumber=NUMBER Set the build number part of the version (1.0.0.X).
+# --name=NAME Set the full product name (BLD_NAME define).
+# --port=PORT Set the default HTTP port to use for the product.
+# --product=NAME Set the one word (no spaces) name of the product.
+# --setLibVersion=X.X.X Set the shared library version number.
+# --setVersion=X.X.X Set the product version number.
+# --sslPort=PORT Set the default SSL port to use for the product.
+# --type=BUILD Set the build type (DEBUG|RELEASE).
+#
+# --enable-access-log Enable logging of requests to the AppWeb access log.
+# --enable-assert Build with assert checking.
+# --enable-config Build with the ability to parse Apache-style config
+# --enable-cookie Build with cookie handling support.
+# --enable-digest-auth Build with digest authentication support.
+# --enable-fast-malloc Build with the Mbedthis fast malloc.
+# --enable-if-modified Build with HTTP If-Modified checking.
+# --enable-keep-alive Build with HTTP Keep-Alive support.
+# --enable-log Build with the AppWeb trace log facility.
+# --enable-modules Build with the dynamically loaded modules capability.
+# --enable-multi-thread Build AppWeb multi-threaded.
+# --disable-multi-thread Build AppWeb single threaded.
+# --enable-rom-fs Build with the ability to load web pages from ROM.
+# --enable-run-as-service Build with the ability to run as a service/daemon.
+# --disable-run-as-service Do not include the ability to run as a service.
+# --enable-safe-strings Enforce safe string handling.
+# --enable-session Build with HTTP session support.
+# --enable-shared Build an appWeb shared library and program. [default]
+# --enable-shared-libc Link with the shared versions of libc.
+# --disable-shared-libc Link with the static versions of libc.
+# --enable-squeeze Build in squeeze mode for minimal memory footprint.
+# --disable-squeeze Build for speed.
+# --enable-static Build a static appWeb library and program. [default]
+# --disable-static Do not build a static appWeb library and program.
+#
+# --with-admin Include the admin handler.
+# --with-auth Include the authorization handler.
+# --with-c_api Include the C API.
+# --with-cgi Include the CGI handler.
+# --with-gacompat Include GoAhead WebServer API compatibility.
+# --with-copy Build support for the copy handler.
+# --with-egi Include the EGI handler.
+# --with-esp Include the ESP handler.
+# --with-ssl Build support for the SSL protocol.
+# --with-upload Build with the file upload handler
+# --with-xdb Build with XDB
+# Supported PACKAGE names: openssl, php4, php5
+# --with-PACKAGE=[builtin|, module]
+# Include support for the PACKAGE. Link into appWeb
+# statically and/or build as a module
+# --with-PACKAGE-dir=DIR Set the source directory of the package
+# --with-PACKAGE-libs=libs Set a list of libraries to use when linking with
+# the PACKAGE
+# --without-PACKAGE Do not include support for the PACKAGE
+EXTRA_OECONF = "--prefix=${prefix} \
+ --docDir=${docdir}/${P} \
+ --incDir=${includedir} \
+ --libDir=${libdir} \
+ --sbinDir=${sbindir} \
+ --webDir=${localstatedir}/www \
+ --build=${APPWEB_BUILD} \
+ --host=${APPWEB_HOST} \
+ --enable-keep-alive \
+ --enable-multi-thread \
+ --with-cgi=builtin \
+ --enable-cookie \
+ --enable-config \
+ --enable-digest-auth \
+ --without-ssl"
+
+export IFLAGS = "${CPPFLAGS}"
+export CC_FOR_BUILD = "${BUILD_CC}"
+export LD_FOR_BUILD = "${BUILD_LD}"
+
+LD_LIBRARY_PATH_prepend = "${S}/lib:"
+LD_LIBRARY_PATH[export] = "1"
+do_configure () {
+ ./configure ${EXTRA_OECONF}
+}
+
+do_compile () {
+ oe_runmake build
+ oe_runmake compile
+}
+
+do_stage () {
+ :
+}
+
+do_install () {
+ oe_runmake 'PKG_DIR=${D}' install-all
+}
+
+#do_install () {
+# install -d ${D}${sbindir} ${D}${sysconfdir}/appWeb/lib \
+# ${D}${libexecdir}/appWeb ${D}${libdir}
+# install -m 0755 appWeb/appWeb ${D}${sbindir}/
+# install -m 0644 appWeb/appWeb.conf ${D}${sysconfdir}/appWeb/
+# install -m 0755 bin/${APPWEB_OS}/* ${D}${libexecdir}/appWeb/
+# install -m 0755 lib/lib*.so* ${D}${sysconfdir}/appWeb/lib/
+#}
diff --git a/recipes/appweb/appweb_2.0.4.bb b/recipes/appweb/appweb_2.0.4.bb
new file mode 100644
index 0000000000..59682840a3
--- /dev/null
+++ b/recipes/appweb/appweb_2.0.4.bb
@@ -0,0 +1,123 @@
+DESCRIPTION = "AppWeb is an embedded HTTP Web server that has been designed with security in mind."
+SECTION = "console/network"
+LICENSE = "GPL"
+SRC_URI = "http://www.mbedthis.com/software/appWeb-src-${PV}-1.tar.gz \
+ file://makerules.patch;patch=1 \
+ file://init.d.patch;patch=1 \
+ file://libdb.patch;patch=1"
+S = "${WORKDIR}/appWeb-${PV}"
+
+APPWEB_HOST = "${@get_appweb_host(d, bb)}"
+APPWEB_BUILD = "${BUILD_SYS}"
+
+require appweb.inc
+
+# --buildNumber=NUMBER Set the build number part of the version (1.0.0.X).
+# --name=NAME Set the full product name (BLD_NAME define).
+# --port=PORT Set the default HTTP port to use for the product.
+# --product=NAME Set the one word (no spaces) name of the product.
+# --setLibVersion=X.X.X Set the shared library version number.
+# --setVersion=X.X.X Set the product version number.
+# --sslPort=PORT Set the default SSL port to use for the product.
+# --type=BUILD Set the build type (DEBUG|RELEASE).
+#
+# --enable-access-log Enable logging of requests to the AppWeb access log.
+# --enable-assert Build with assert checking.
+# --enable-config Build with the ability to parse Apache-style config
+# --enable-cookie Build with cookie handling support.
+# --enable-digest-auth Build with digest authentication support.
+# --enable-fast-malloc Build with the Mbedthis fast malloc.
+# --enable-if-modified Build with HTTP If-Modified checking.
+# --enable-keep-alive Build with HTTP Keep-Alive support.
+# --enable-log Build with the AppWeb trace log facility.
+# --enable-modules Build with the dynamically loaded modules capability.
+# --enable-multi-thread Build AppWeb multi-threaded.
+# --disable-multi-thread Build AppWeb single threaded.
+# --enable-rom-fs Build with the ability to load web pages from ROM.
+# --enable-run-as-service Build with the ability to run as a service/daemon.
+# --disable-run-as-service Do not include the ability to run as a service.
+# --enable-safe-strings Enforce safe string handling.
+# --enable-session Build with HTTP session support.
+# --enable-shared Build an appWeb shared library and program. [default]
+# --enable-shared-libc Link with the shared versions of libc.
+# --disable-shared-libc Link with the static versions of libc.
+# --enable-squeeze Build in squeeze mode for minimal memory footprint.
+# --disable-squeeze Build for speed.
+# --enable-static Build a static appWeb library and program. [default]
+# --disable-static Do not build a static appWeb library and program.
+#
+# --with-admin Include the admin handler.
+# --with-auth Include the authorization handler.
+# --with-c_api Include the C API.
+# --with-cgi Include the CGI handler.
+# --with-gacompat Include GoAhead WebServer API compatibility.
+# --with-copy Build support for the copy handler.
+# --with-egi Include the EGI handler.
+# --with-esp Include the ESP handler.
+# --with-ssl Build support for the SSL protocol.
+# --with-upload Build with the file upload handler
+# --with-xdb Build with XDB
+# Supported PACKAGE names: openssl, php4, php5
+# --with-PACKAGE=[builtin|, module]
+# Include support for the PACKAGE. Link into appWeb
+# statically and/or build as a module
+# --with-PACKAGE-dir=DIR Set the source directory of the package
+# --with-PACKAGE-libs=libs Set a list of libraries to use when linking with
+# the PACKAGE
+# --without-PACKAGE Do not include support for the PACKAGE
+EXTRA_OECONF = "--prefix=${prefix} \
+ --docDir=${docdir}/${P} \
+ --incDir=${includedir} \
+ --libDir=${libdir} \
+ --sbinDir=${sbindir} \
+ --webDir=${localstatedir}/www \
+ --build=${APPWEB_BUILD} \
+ --host=${APPWEB_HOST} \
+ --enable-keep-alive \
+ --enable-multi-thread \
+ --with-cgi=builtin \
+ --enable-cookie \
+ --enable-config-parse \
+ --enable-config-save \
+ --enable-digest-auth \
+ --without-ssl \
+--with-php5='loadable' \
+--with-php5-dir='../../php-5.0.5-r0/php-5.0.5/libs' \
+--with-php5-libs='php5 crypt expat xml2 m mysqlclient z' \
+--with-php5-iflags='-I$(BLD_TOP)/$(BLD_PHP5_DIR)/.. -I$(BLD_TOP)/$(BLD_PHP5_DIR)/../main -I$(BLD_TOP)/$(BLD_PHP5_DIR)/../Zend -I$(BLD_TOP)/$(BLD_PHP5_DIR)/../TSRM'"
+
+export IFLAGS = "${CPPFLAGS}"
+export CC_FOR_BUILD = "${BUILD_CC}"
+export LD_FOR_BUILD = "${BUILD_LD}"
+
+LD_LIBRARY_PATH_prepend = "${S}/lib:"
+LD_LIBRARY_PATH[export] = "1"
+do_configure () {
+ ./configure ${EXTRA_OECONF}
+}
+
+do_compile () {
+ sed -i 's:MAKE_IFLAGS:MAKE_LDFLAGS = -L${STAGING_LIBDIR}\nMAKE_IFLAGS:' ${S}/http/modules/php5/Makefile
+# find ${S} -type f | xargs sed -i 's:-I${STAGING_INCDIR}:-I${STAGING_INCDIR} -I../../../../../php-5.0.5-r0/php-5.0.5 -I../../../../../php-5.0.5-r0/php-5.0.5/Zend -I../../../../../php-5.0.5-r0/php-5.0.5/TSRM -I../../../../../php-5.0.5-r0/php-5.0.5/main:'
+# sed -i 's:/usr/lib:${STAGING_LIBDIR}:' ${S}/http/package/LINUX/http.files
+# sed -i 's:cpmod ${STAGING_LIBDIR}/:cpmod :' ${S}/http/package/LINUX/http.files
+ oe_runmake build
+ oe_runmake compile
+}
+
+do_stage () {
+ :
+}
+
+do_install () {
+ oe_runmake 'ROOT_DIR=${D}' install-all
+}
+
+#do_install () {
+# install -d ${D}${sbindir} ${D}${sysconfdir}/appWeb/lib \
+# ${D}${libexecdir}/appWeb ${D}${libdir}
+# install -m 0755 appWeb/appWeb ${D}${sbindir}/
+# install -m 0644 appWeb/appWeb.conf ${D}${sysconfdir}/appWeb/
+# install -m 0755 bin/${APPWEB_OS}/* ${D}${libexecdir}/appWeb/
+# install -m 0755 lib/lib*.so* ${D}${sysconfdir}/appWeb/lib/
+#}